Page({
  data: {
    background: ['/assets/images/godzilla.png', '/assets/images/godzilla.png', '/assets/images/xian/swiper1.png'],
    indicatorDots: true,
    indicatorColor: '#FFFFFF',
    indicatorActiveColor: '#EE742F',
    autoplay: false,
    circular: true,
    interval: 2000,
    duration: 500,
    menuList: [
      {
        name: '【热销】 电饭煲4L容量 20分钟热水快煮 智能…',
        imgUrl: '/assets/images/xian/moremenu_img1.jpg',
        price: '¥358.00',
        origin_price: '¥678.00',
        sales: '2w+',
      },
      {
        name: '苏泊尔（SUPOR）小型电饭煲电饭锅3升2-6人',
        imgUrl: '/assets/images/xian/home_device1.png',
        price: '¥358.00',
        origin_price: '¥678.00',
        sales: '2w+',
      }, 
      {
        name: '奶香豆沙',
        imgUrl: '/assets/images/xian/home_device1.png',
        price: '¥358.00',
        origin_price: '¥678.00',
        sales: '2w+',
      },
      {
        name: '爆好吃的卤鸡腿!卤蛋(电饭煲）',
        imgUrl: '/assets/images/xian/home_device1.png',
        price: '¥358.00',
        origin_price: '¥678.00',
        sales: '2w+',
      },
    ], 
  },

  onShow() {
    this.setData({
      // hasHiddenTabBar: true,
      message_list: []
    })
    ty.hideMenuButton()             
  },
  goMenuSearch() {
    ty.navigateTo({
      url: '/pages/menusearch/index',
    })
  },
  goMyMenu() {
    ty.navigateTo({
      url: '/pages/mymenu/index',
    })
  },
})
